#
# spec file for package libcddb (Version 1.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcdio libcdio-devel libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vcdimager vim zlib zlib-devel

Name:           libcddb
BuildRequires:  libcdio-devel pkgconfig
Version:        1.2.1
Release:        18.2
URL:            http://libcddb.sourceforge.net/
Group:          Productivity/Multimedia/Other
License:        LGPL
Summary:        CDDB Access Library
Source:         %{name}-%{version}.tar.bz2
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org). It
tries to be as cross-platform as possible.



Authors:
--------
    Kris Verbeeck <airborne@advalvas.be>

%debug_package
%package devel
Group:          Productivity/Multimedia/Other
Summary:        CDDB Access Library
Requires:       %{name} = %{version} glibc-devel

%description devel
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org). It
tries to be as cross-platform as possible.



Authors:
--------
    Kris Verbeeck <airborne@advalvas.be>

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libdir=/usr/%{_lib}
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
/usr/%{_lib}/*.so.*
/usr/bin/*

%files devel
%defattr (-, root, root)
/usr/%{_lib}/*.so
/usr/%{_lib}/*.*a
/usr/%{_lib}/pkgconfig/*.pc
/usr/include/*

%changelog -n libcddb
* Tue Jan 31 2006 - sbrabec@suse.cz
- Enabled parallel build.
- Fixed devel splitting.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 - sbrabec@suse.cz
- Build with libcdio-0.76.
* Fri Aug 05 2005 - sbrabec@suse.cz
- Updated to version 1.2.1.
* Fri Jul 29 2005 - sbrabec@suse.cz
- Updated to version 1.2.0.
* Mon May 09 2005 - sbrabec@suse.cz
- Updated to version 1.0.2.
* Tue Apr 26 2005 - sbrabec@suse.cz
- Updated to version 1.0.1.
* Tue Nov 09 2004 - sbrabec@suse.cz
- New SuSE package, version 0.9.6.
